/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
File: octvc1_main_api_priv_swap.h

Copyright (c) 2018 Octasic Inc. All rights reserved.

Description:
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.


Release: OCTSDR Software Development Kit OCTSDR_GSM-02.11.00-B1927 (2018/04/27)

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_MAIN_API_PRIV_SWAP_H__
#define __OCTVC1_MAIN_API_PRIV_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_priv_swap_hdrs.h"
#include "octvc1_main_api_priv.h"

/*********************************  MACROS  **********************************/

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_LICENSE_INFRACTION_TYPE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_MAIN_LICENSE_INFRACTION_TYPE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */


#define mOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER_VERSION_ENUM_SWAP( pType )	/* tOCT_UINT8 */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER * pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)\
	{ mOCTVC1_MODULE_ID_ENUM_SWAP( &((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulModuleId ); }  \
	{ mOCTVC1_MAIN_LICENSE_INFRACTION_TYPE_ENUM_SWAP( &((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulInfractionType ); }  \
	((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->usInfractionIndex = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->usInfractionIndex);  \
	((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->usInfractionMax = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->usInfractionMax);  \
	((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulPayloadLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulPayloadLength); \
	((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulOadfVersionId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->ulOadfVersionId); \
	{ tOCT_UINT32 iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER; \
	for( iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER=0; \
		iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER<(cOCTVC1_ETH_PORT_ID_ENUM_3);iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER++ ) \
	((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->aulReserved[iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER *)pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER)->aulReserved[iOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER]);}\
}
#else
#define mOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER_SWAP( pOCTVC1_MAIN_LICENSE_INFRACTION_FILE_HEADER )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD * pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD)->hInfraction = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD)->hInfraction); \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP * pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->hInfraction = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->hInfraction); \
	{ mOCTVC1_MAIN_LICENSE_INFRACTION_TYPE_ENUM_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->ulInfractionType ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->ulIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP)->ulIndex); \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD * pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD *)pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD *)pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD_SWAP( pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP * pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP *)pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP_SWAP( pOCTVC1_MAIN_MSG_LICENSING_LIST_INFRACTION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD * pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP * pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)->ulSendStateChangeEvtFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)->ulSendStateChangeEvtFlag); \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)->ulSessionIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP)->ulSessionIndex); \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_INFRACTION_CONFIG_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD * pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD *)pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD *)pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD)->ulSendStateChangeEvtFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD *)pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD)->ulSendStateChangeEvtFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD_SWAP( pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP * pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP *)pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP_SWAP( pOCTVC1_MAIN_MSG_LICENSING_MODIFY_INFRACTION_CONFIG_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD * pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD_SWAP( pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP * pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP)->ulApplyHiddenFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP)->ulApplyHiddenFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP_SWAP( pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_INFO_MODULE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD * pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD)->ulApplyHiddenFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD)->ulApplyHiddenFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD_SWAP( pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP * pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP *)pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP_SWAP( pOCTVC1_MAIN_MSG_APPLICATION_CONFIG_MODIFY_MODULE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_MAIN_API_PRIV_SWAP_H__ */
